#!/usr/bin/env node
const inquirer = require('inquirer')
const execa = require('execa')
const globby = require('globby')

const runTransformation = (testFiles) => {
  const cmdOptions = {
		stdio: 'inherit'
	}

  const cmdResult = execa.sync('./node_modules/.bin/jscodeshift', testFiles, cmdOptions)
  if (cmdResult.error) {
    throw result.error
  }
}

const questions = [{
  type: 'input',
  name: 'testFilesPatterns',
  message: 'What is the test file name pattern?',
  default: 'jest-tests/*.test.js',
  filter: (testFilesPatterns) => testFilesPatterns.trim().split(/\s+/)
}]

inquirer.prompt(questions).then(function (answers) {
    const testFilesPatterns = answers.testFilesPatterns

    if (!testFilesPatterns) {
      console.log('Please provide a test file name pattern.')
      return
    }

    console.log('Test files patterns:', testFilesPatterns)
    runTransformation(globby.sync(testFilesPatterns))
});